#import "BTUIKLargeAmExVectorArtView.h"

@implementation BTUIKLargeAmExVectorArtView

- (void)drawArt {
    //// General Declarations
    CGColorSpaceRef colorSpace = CGColorSpaceCreateDeviceRGB();
    CGContextRef context = UIGraphicsGetCurrentContext();
    
    //// Color Declarations
    UIColor* gradientColor = [UIColor colorWithRed: 0.356 green: 0.685 blue: 0.877 alpha: 1];
    UIColor* gradientColor2 = [UIColor colorWithRed: 0.029 green: 0.27 blue: 0.7 alpha: 1];
    UIColor* fillColor2 = [UIColor colorWithRed: 1 green: 1 blue: 1 alpha: 1];
    UIColor* fillColor3 = [UIColor colorWithRed: 1 green: 1 blue: 1 alpha: 1];
    
    //// Gradient Declarations
    CGFloat gradientLocations[] = {0, 1};
    CGGradientRef gradient = CGGradientCreateWithColors(colorSpace, (__bridge CFArrayRef)@[(id)gradientColor.CGColor, (id)gradientColor2.CGColor], gradientLocations);
    
    //// Group
    {
        CGContextSaveGState(context);
        CGContextBeginTransparencyLayer(context, NULL);
        
        //// Clip Clip
        UIBezierPath* clipPath = [UIBezierPath bezierPath];
        [clipPath moveToPoint: CGPointMake(13.85, 13.67)];
        [clipPath addLineToPoint: CGPointMake(13.85, 67.4)];
        [clipPath addLineToPoint: CGPointMake(67.39, 67.4)];
        [clipPath addLineToPoint: CGPointMake(67.39, 49.67)];
        [clipPath addCurveToPoint: CGPointMake(67.71, 48.48) controlPoint1: CGPointMake(67.6, 49.36) controlPoint2: CGPointMake(67.71, 48.97)];
        [clipPath addLineToPoint: CGPointMake(67.71, 48.48)];
        [clipPath addCurveToPoint: CGPointMake(67.39, 47.31) controlPoint1: CGPointMake(67.71, 47.94) controlPoint2: CGPointMake(67.6, 47.59)];
        [clipPath addLineToPoint: CGPointMake(67.39, 47.31)];
        [clipPath addLineToPoint: CGPointMake(67.39, 13.67)];
        [clipPath addLineToPoint: CGPointMake(13.85, 13.67)];
        [clipPath closePath];
        [clipPath addClip];
        
        
        //// Bezier Drawing
        UIBezierPath* bezierPath = [UIBezierPath bezierPath];
        [bezierPath moveToPoint: CGPointMake(13.85, 13.67)];
        [bezierPath addLineToPoint: CGPointMake(13.85, 67.4)];
        [bezierPath addLineToPoint: CGPointMake(67.39, 67.4)];
        [bezierPath addLineToPoint: CGPointMake(67.39, 49.67)];
        [bezierPath addCurveToPoint: CGPointMake(67.71, 48.48) controlPoint1: CGPointMake(67.6, 49.36) controlPoint2: CGPointMake(67.71, 48.97)];
        [bezierPath addLineToPoint: CGPointMake(67.71, 48.48)];
        [bezierPath addCurveToPoint: CGPointMake(67.39, 47.31) controlPoint1: CGPointMake(67.71, 47.94) controlPoint2: CGPointMake(67.6, 47.59)];
        [bezierPath addLineToPoint: CGPointMake(67.39, 47.31)];
        [bezierPath addLineToPoint: CGPointMake(67.39, 13.67)];
        [bezierPath addLineToPoint: CGPointMake(13.85, 13.67)];
        [bezierPath closePath];
        CGContextSaveGState(context);
        [bezierPath addClip];
        CGContextDrawRadialGradient(context, gradient,
                                    CGPointMake(23.4, 22.66), 0,
                                    CGPointMake(23.4, 22.66), 46.22,
                                    kCGGradientDrawsBeforeStartLocation | kCGGradientDrawsAfterEndLocation);
        CGContextRestoreGState(context);
        
        
        CGContextEndTransparencyLayer(context);
        CGContextRestoreGState(context);
    }
    
    
    //// Bezier 3 Drawing
    UIBezierPath* bezier3Path = [UIBezierPath bezierPath];
    [bezier3Path moveToPoint: CGPointMake(18.67, 36.92)];
    [bezier3Path addLineToPoint: CGPointMake(17.64, 34.41)];
    [bezier3Path addLineToPoint: CGPointMake(16.62, 36.92)];
    [bezier3Path addLineToPoint: CGPointMake(18.67, 36.92)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(41.36, 35.92)];
    [bezier3Path addCurveToPoint: CGPointMake(40.62, 36.05) controlPoint1: CGPointMake(41.16, 36.04) controlPoint2: CGPointMake(40.91, 36.05)];
    [bezier3Path addLineToPoint: CGPointMake(38.79, 36.05)];
    [bezier3Path addLineToPoint: CGPointMake(38.79, 34.65)];
    [bezier3Path addLineToPoint: CGPointMake(40.64, 34.65)];
    [bezier3Path addCurveToPoint: CGPointMake(41.36, 34.76) controlPoint1: CGPointMake(40.91, 34.65) controlPoint2: CGPointMake(41.18, 34.66)];
    [bezier3Path addCurveToPoint: CGPointMake(41.67, 35.32) controlPoint1: CGPointMake(41.55, 34.86) controlPoint2: CGPointMake(41.67, 35.05)];
    [bezier3Path addCurveToPoint: CGPointMake(41.36, 35.92) controlPoint1: CGPointMake(41.67, 35.6) controlPoint2: CGPointMake(41.56, 35.81)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(54.4, 36.92)];
    [bezier3Path addLineToPoint: CGPointMake(53.36, 34.41)];
    [bezier3Path addLineToPoint: CGPointMake(52.33, 36.92)];
    [bezier3Path addLineToPoint: CGPointMake(54.4, 36.92)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(30.09, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(28.55, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(28.54, 34.71)];
    [bezier3Path addLineToPoint: CGPointMake(26.36, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(25.04, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(22.85, 34.7)];
    [bezier3Path addLineToPoint: CGPointMake(22.85, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(19.79, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(19.22, 38.23)];
    [bezier3Path addLineToPoint: CGPointMake(16.08, 38.23)];
    [bezier3Path addLineToPoint: CGPointMake(15.5, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(13.86, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(16.55, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(18.79, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(21.35, 39.3)];
    [bezier3Path addLineToPoint: CGPointMake(21.35, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(23.81, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(25.78, 37.61)];
    [bezier3Path addLineToPoint: CGPointMake(27.59, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(30.09, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(30.09, 39.63)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(36.24, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(31.21, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(31.21, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(36.24, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(36.24, 34.65)];
    [bezier3Path addLineToPoint: CGPointMake(32.72, 34.65)];
    [bezier3Path addLineToPoint: CGPointMake(32.72, 35.78)];
    [bezier3Path addLineToPoint: CGPointMake(36.16, 35.78)];
    [bezier3Path addLineToPoint: CGPointMake(36.16, 37.08)];
    [bezier3Path addLineToPoint: CGPointMake(32.72, 37.07)];
    [bezier3Path addLineToPoint: CGPointMake(32.72, 38.33)];
    [bezier3Path addLineToPoint: CGPointMake(36.24, 38.33)];
    [bezier3Path addLineToPoint: CGPointMake(36.24, 39.63)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(43.33, 35.04)];
    [bezier3Path addCurveToPoint: CGPointMake(42.27, 36.71) controlPoint1: CGPointMake(43.33, 36.04) controlPoint2: CGPointMake(42.66, 36.56)];
    [bezier3Path addCurveToPoint: CGPointMake(43.01, 37.25) controlPoint1: CGPointMake(42.6, 36.84) controlPoint2: CGPointMake(42.88, 37.06)];
    [bezier3Path addCurveToPoint: CGPointMake(43.27, 38.4) controlPoint1: CGPointMake(43.23, 37.55) controlPoint2: CGPointMake(43.27, 37.84)];
    [bezier3Path addLineToPoint: CGPointMake(43.27, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(41.75, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(41.74, 38.84)];
    [bezier3Path addCurveToPoint: CGPointMake(41.5, 37.62) controlPoint1: CGPointMake(41.74, 38.47) controlPoint2: CGPointMake(41.78, 37.92)];
    [bezier3Path addCurveToPoint: CGPointMake(40.41, 37.35) controlPoint1: CGPointMake(41.28, 37.39) controlPoint2: CGPointMake(40.95, 37.35)];
    [bezier3Path addLineToPoint: CGPointMake(38.79, 37.35)];
    [bezier3Path addLineToPoint: CGPointMake(38.79, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(37.29, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(37.29, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(40.75, 33.34)];
    [bezier3Path addCurveToPoint: CGPointMake(42.57, 33.64) controlPoint1: CGPointMake(41.51, 33.34) controlPoint2: CGPointMake(42.08, 33.36)];
    [bezier3Path addCurveToPoint: CGPointMake(43.33, 35.04) controlPoint1: CGPointMake(43.05, 33.92) controlPoint2: CGPointMake(43.33, 34.33)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(45.74, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(44.21, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(44.21, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(45.74, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(45.74, 39.63)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(63.55, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(61.42, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(58.57, 34.91)];
    [bezier3Path addLineToPoint: CGPointMake(58.57, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(55.51, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(54.92, 38.23)];
    [bezier3Path addLineToPoint: CGPointMake(51.79, 38.23)];
    [bezier3Path addLineToPoint: CGPointMake(51.23, 39.63)];
    [bezier3Path addLineToPoint: CGPointMake(49.46, 39.63)];
    [bezier3Path addCurveToPoint: CGPointMake(47.28, 38.94) controlPoint1: CGPointMake(48.73, 39.63) controlPoint2: CGPointMake(47.8, 39.47)];
    [bezier3Path addCurveToPoint: CGPointMake(46.48, 36.53) controlPoint1: CGPointMake(46.75, 38.4) controlPoint2: CGPointMake(46.48, 37.68)];
    [bezier3Path addCurveToPoint: CGPointMake(47.29, 34.07) controlPoint1: CGPointMake(46.48, 35.6) controlPoint2: CGPointMake(46.64, 34.75)];
    [bezier3Path addCurveToPoint: CGPointMake(49.57, 33.34) controlPoint1: CGPointMake(47.78, 33.57) controlPoint2: CGPointMake(48.54, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(51.03, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(51.03, 34.69)];
    [bezier3Path addLineToPoint: CGPointMake(49.61, 34.69)];
    [bezier3Path addCurveToPoint: CGPointMake(48.44, 35.06) controlPoint1: CGPointMake(49.06, 34.69) controlPoint2: CGPointMake(48.74, 34.77)];
    [bezier3Path addCurveToPoint: CGPointMake(48.01, 36.49) controlPoint1: CGPointMake(48.19, 35.33) controlPoint2: CGPointMake(48.01, 35.83)];
    [bezier3Path addCurveToPoint: CGPointMake(48.43, 37.97) controlPoint1: CGPointMake(48.01, 37.16) controlPoint2: CGPointMake(48.14, 37.65)];
    [bezier3Path addCurveToPoint: CGPointMake(49.47, 38.29) controlPoint1: CGPointMake(48.66, 38.21) controlPoint2: CGPointMake(49.08, 38.29)];
    [bezier3Path addLineToPoint: CGPointMake(50.15, 38.29)];
    [bezier3Path addLineToPoint: CGPointMake(52.27, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(54.53, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(57.07, 39.29)];
    [bezier3Path addLineToPoint: CGPointMake(57.07, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(59.37, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(62.01, 37.72)];
    [bezier3Path addLineToPoint: CGPointMake(62.01, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(63.55, 33.34)];
    [bezier3Path addLineToPoint: CGPointMake(63.55, 39.63)];
    [bezier3Path closePath];
    [bezier3Path moveToPoint: CGPointMake(13.85, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(16.42, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(17, 39.47)];
    [bezier3Path addLineToPoint: CGPointMake(18.3, 39.47)];
    [bezier3Path addLineToPoint: CGPointMake(18.87, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(23.93, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(23.93, 39.8)];
    [bezier3Path addLineToPoint: CGPointMake(24.39, 40.88)];
    [bezier3Path addLineToPoint: CGPointMake(27.01, 40.88)];
    [bezier3Path addLineToPoint: CGPointMake(27.46, 39.79)];
    [bezier3Path addLineToPoint: CGPointMake(27.46, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(40.03, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(40.03, 38.58)];
    [bezier3Path addLineToPoint: CGPointMake(40.27, 38.58)];
    [bezier3Path addCurveToPoint: CGPointMake(40.49, 38.88) controlPoint1: CGPointMake(40.44, 38.58) controlPoint2: CGPointMake(40.49, 38.6)];
    [bezier3Path addLineToPoint: CGPointMake(40.49, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(46.99, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(46.99, 40.34)];
    [bezier3Path addCurveToPoint: CGPointMake(49.4, 40.87) controlPoint1: CGPointMake(47.52, 40.62) controlPoint2: CGPointMake(48.34, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(52.14, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(52.73, 39.47)];
    [bezier3Path addLineToPoint: CGPointMake(54.03, 39.47)];
    [bezier3Path addLineToPoint: CGPointMake(54.6, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(59.87, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(59.87, 39.54)];
    [bezier3Path addLineToPoint: CGPointMake(60.67, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(64.89, 40.87)];
    [bezier3Path addLineToPoint: CGPointMake(64.89, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(60.71, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(60.71, 33.13)];
    [bezier3Path addLineToPoint: CGPointMake(60.13, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(55.84, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(55.84, 33.13)];
    [bezier3Path addLineToPoint: CGPointMake(55.3, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(49.51, 32.09)];
    [bezier3Path addCurveToPoint: CGPointMake(46.99, 32.6) controlPoint1: CGPointMake(48.54, 32.09) controlPoint2: CGPointMake(47.68, 32.22)];
    [bezier3Path addLineToPoint: CGPointMake(46.99, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(43, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(43, 32.6)];
    [bezier3Path addCurveToPoint: CGPointMake(41.3, 32.09) controlPoint1: CGPointMake(42.56, 32.21) controlPoint2: CGPointMake(41.96, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(26.69, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(25.7, 34.36)];
    [bezier3Path addLineToPoint: CGPointMake(24.7, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(20.1, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(20.1, 33.13)];
    [bezier3Path addLineToPoint: CGPointMake(19.59, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(15.67, 32.09)];
    [bezier3Path addLineToPoint: CGPointMake(13.85, 36.26)];
    [bezier3Path addLineToPoint: CGPointMake(13.85, 40.87)];
    [bezier3Path closePath];
    [fillColor2 setFill];
    [bezier3Path fill];
    
    
    //// Bezier 4 Drawing
    UIBezierPath* bezier4Path = [UIBezierPath bezierPath];
    [bezier4Path moveToPoint: CGPointMake(67.39, 45.51)];
    [bezier4Path addLineToPoint: CGPointMake(64.64, 45.51)];
    [bezier4Path addCurveToPoint: CGPointMake(64.04, 45.63) controlPoint1: CGPointMake(64.37, 45.51) controlPoint2: CGPointMake(64.18, 45.53)];
    [bezier4Path addCurveToPoint: CGPointMake(63.81, 46.08) controlPoint1: CGPointMake(63.88, 45.73) controlPoint2: CGPointMake(63.81, 45.88)];
    [bezier4Path addCurveToPoint: CGPointMake(64.15, 46.55) controlPoint1: CGPointMake(63.81, 46.32) controlPoint2: CGPointMake(63.95, 46.48)];
    [bezier4Path addCurveToPoint: CGPointMake(64.73, 46.62) controlPoint1: CGPointMake(64.3, 46.61) controlPoint2: CGPointMake(64.47, 46.62)];
    [bezier4Path addLineToPoint: CGPointMake(65.54, 46.64)];
    [bezier4Path addCurveToPoint: CGPointMake(67.25, 47.15) controlPoint1: CGPointMake(66.36, 46.67) controlPoint2: CGPointMake(66.91, 46.81)];
    [bezier4Path addCurveToPoint: CGPointMake(67.39, 47.31) controlPoint1: CGPointMake(67.3, 47.2) controlPoint2: CGPointMake(67.35, 47.26)];
    [bezier4Path addLineToPoint: CGPointMake(67.39, 45.51)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(67.39, 49.67)];
    [bezier4Path addCurveToPoint: CGPointMake(65.34, 50.47) controlPoint1: CGPointMake(67.02, 50.21) controlPoint2: CGPointMake(66.31, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(62.44, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(62.44, 49.12)];
    [bezier4Path addLineToPoint: CGPointMake(65.33, 49.12)];
    [bezier4Path addCurveToPoint: CGPointMake(65.94, 48.97) controlPoint1: CGPointMake(65.62, 49.12) controlPoint2: CGPointMake(65.82, 49.08)];
    [bezier4Path addCurveToPoint: CGPointMake(66.12, 48.56) controlPoint1: CGPointMake(66.04, 48.87) controlPoint2: CGPointMake(66.12, 48.73)];
    [bezier4Path addCurveToPoint: CGPointMake(65.94, 48.14) controlPoint1: CGPointMake(66.12, 48.37) controlPoint2: CGPointMake(66.04, 48.22)];
    [bezier4Path addCurveToPoint: CGPointMake(65.41, 48) controlPoint1: CGPointMake(65.82, 48.04) controlPoint2: CGPointMake(65.67, 48)];
    [bezier4Path addCurveToPoint: CGPointMake(62.23, 46.05) controlPoint1: CGPointMake(64, 47.95) controlPoint2: CGPointMake(62.23, 48.04)];
    [bezier4Path addCurveToPoint: CGPointMake(64.39, 44.17) controlPoint1: CGPointMake(62.23, 45.14) controlPoint2: CGPointMake(62.81, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(67.39, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(67.39, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(64.6, 42.92)];
    [bezier4Path addCurveToPoint: CGPointMake(62.72, 43.44) controlPoint1: CGPointMake(63.76, 42.92) controlPoint2: CGPointMake(63.15, 43.12)];
    [bezier4Path addLineToPoint: CGPointMake(62.72, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(58.6, 42.92)];
    [bezier4Path addCurveToPoint: CGPointMake(56.8, 43.44) controlPoint1: CGPointMake(57.94, 42.92) controlPoint2: CGPointMake(57.17, 43.09)];
    [bezier4Path addLineToPoint: CGPointMake(56.8, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(49.44, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(49.44, 43.44)];
    [bezier4Path addCurveToPoint: CGPointMake(47.41, 42.92) controlPoint1: CGPointMake(48.86, 43.02) controlPoint2: CGPointMake(47.87, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(42.56, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(42.56, 43.44)];
    [bezier4Path addCurveToPoint: CGPointMake(40.44, 42.92) controlPoint1: CGPointMake(42.1, 42.99) controlPoint2: CGPointMake(41.07, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(35.01, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(33.77, 44.27)];
    [bezier4Path addLineToPoint: CGPointMake(32.61, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(24.49, 42.92)];
    [bezier4Path addLineToPoint: CGPointMake(24.49, 51.71)];
    [bezier4Path addLineToPoint: CGPointMake(32.45, 51.71)];
    [bezier4Path addLineToPoint: CGPointMake(33.73, 50.35)];
    [bezier4Path addLineToPoint: CGPointMake(34.94, 51.71)];
    [bezier4Path addLineToPoint: CGPointMake(39.84, 51.72)];
    [bezier4Path addLineToPoint: CGPointMake(39.84, 49.65)];
    [bezier4Path addLineToPoint: CGPointMake(40.33, 49.65)];
    [bezier4Path addCurveToPoint: CGPointMake(42.42, 49.34) controlPoint1: CGPointMake(40.98, 49.65) controlPoint2: CGPointMake(41.75, 49.63)];
    [bezier4Path addLineToPoint: CGPointMake(42.42, 51.71)];
    [bezier4Path addLineToPoint: CGPointMake(46.47, 51.71)];
    [bezier4Path addLineToPoint: CGPointMake(46.47, 49.42)];
    [bezier4Path addLineToPoint: CGPointMake(46.67, 49.42)];
    [bezier4Path addCurveToPoint: CGPointMake(46.94, 49.68) controlPoint1: CGPointMake(46.92, 49.42) controlPoint2: CGPointMake(46.94, 49.43)];
    [bezier4Path addLineToPoint: CGPointMake(46.94, 51.71)];
    [bezier4Path addLineToPoint: CGPointMake(59.23, 51.71)];
    [bezier4Path addCurveToPoint: CGPointMake(61.28, 51.15) controlPoint1: CGPointMake(60.01, 51.71) controlPoint2: CGPointMake(60.83, 51.51)];
    [bezier4Path addLineToPoint: CGPointMake(61.28, 51.71)];
    [bezier4Path addLineToPoint: CGPointMake(65.18, 51.71)];
    [bezier4Path addCurveToPoint: CGPointMake(67.39, 51.31) controlPoint1: CGPointMake(65.99, 51.71) controlPoint2: CGPointMake(66.78, 51.6)];
    [bezier4Path addLineToPoint: CGPointMake(67.39, 49.67)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(61.38, 47.15)];
    [bezier4Path addCurveToPoint: CGPointMake(61.83, 48.48) controlPoint1: CGPointMake(61.68, 47.46) controlPoint2: CGPointMake(61.83, 47.84)];
    [bezier4Path addCurveToPoint: CGPointMake(59.47, 50.47) controlPoint1: CGPointMake(61.83, 49.84) controlPoint2: CGPointMake(60.99, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(56.54, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(56.54, 49.12)];
    [bezier4Path addLineToPoint: CGPointMake(59.46, 49.12)];
    [bezier4Path addCurveToPoint: CGPointMake(60.07, 48.97) controlPoint1: CGPointMake(59.75, 49.12) controlPoint2: CGPointMake(59.95, 49.08)];
    [bezier4Path addCurveToPoint: CGPointMake(60.25, 48.56) controlPoint1: CGPointMake(60.18, 48.87) controlPoint2: CGPointMake(60.25, 48.73)];
    [bezier4Path addCurveToPoint: CGPointMake(60.07, 48.14) controlPoint1: CGPointMake(60.25, 48.37) controlPoint2: CGPointMake(60.17, 48.22)];
    [bezier4Path addCurveToPoint: CGPointMake(59.53, 48) controlPoint1: CGPointMake(59.95, 48.04) controlPoint2: CGPointMake(59.79, 48)];
    [bezier4Path addCurveToPoint: CGPointMake(56.36, 46.05) controlPoint1: CGPointMake(58.12, 47.95) controlPoint2: CGPointMake(56.36, 48.04)];
    [bezier4Path addCurveToPoint: CGPointMake(58.51, 44.17) controlPoint1: CGPointMake(56.36, 45.14) controlPoint2: CGPointMake(56.94, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(61.53, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(61.53, 45.51)];
    [bezier4Path addLineToPoint: CGPointMake(58.77, 45.51)];
    [bezier4Path addCurveToPoint: CGPointMake(58.17, 45.63) controlPoint1: CGPointMake(58.49, 45.51) controlPoint2: CGPointMake(58.32, 45.53)];
    [bezier4Path addCurveToPoint: CGPointMake(57.94, 46.08) controlPoint1: CGPointMake(58, 45.73) controlPoint2: CGPointMake(57.94, 45.88)];
    [bezier4Path addCurveToPoint: CGPointMake(58.27, 46.55) controlPoint1: CGPointMake(57.94, 46.32) controlPoint2: CGPointMake(58.08, 46.48)];
    [bezier4Path addCurveToPoint: CGPointMake(58.85, 46.62) controlPoint1: CGPointMake(58.43, 46.61) controlPoint2: CGPointMake(58.6, 46.62)];
    [bezier4Path addLineToPoint: CGPointMake(59.67, 46.64)];
    [bezier4Path addCurveToPoint: CGPointMake(61.38, 47.15) controlPoint1: CGPointMake(60.48, 46.67) controlPoint2: CGPointMake(61.04, 46.81)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(47.8, 46.76)];
    [bezier4Path addCurveToPoint: CGPointMake(47.06, 46.89) controlPoint1: CGPointMake(47.6, 46.88) controlPoint2: CGPointMake(47.35, 46.89)];
    [bezier4Path addLineToPoint: CGPointMake(45.23, 46.89)];
    [bezier4Path addLineToPoint: CGPointMake(45.23, 45.48)];
    [bezier4Path addLineToPoint: CGPointMake(47.09, 45.48)];
    [bezier4Path addCurveToPoint: CGPointMake(47.8, 45.59) controlPoint1: CGPointMake(47.35, 45.48) controlPoint2: CGPointMake(47.62, 45.49)];
    [bezier4Path addCurveToPoint: CGPointMake(48.11, 46.16) controlPoint1: CGPointMake(48, 45.7) controlPoint2: CGPointMake(48.11, 45.89)];
    [bezier4Path addCurveToPoint: CGPointMake(47.8, 46.76) controlPoint1: CGPointMake(48.11, 46.43) controlPoint2: CGPointMake(48, 46.64)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(48.71, 47.55)];
    [bezier4Path addCurveToPoint: CGPointMake(49.45, 48.08) controlPoint1: CGPointMake(49.05, 47.67) controlPoint2: CGPointMake(49.32, 47.89)];
    [bezier4Path addCurveToPoint: CGPointMake(49.7, 49.23) controlPoint1: CGPointMake(49.66, 48.38) controlPoint2: CGPointMake(49.7, 48.67)];
    [bezier4Path addLineToPoint: CGPointMake(49.7, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(48.19, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(48.19, 49.68)];
    [bezier4Path addCurveToPoint: CGPointMake(47.95, 48.45) controlPoint1: CGPointMake(48.19, 49.3) controlPoint2: CGPointMake(48.23, 48.75)];
    [bezier4Path addCurveToPoint: CGPointMake(46.84, 48.17) controlPoint1: CGPointMake(47.73, 48.22) controlPoint2: CGPointMake(47.39, 48.17)];
    [bezier4Path addLineToPoint: CGPointMake(45.23, 48.17)];
    [bezier4Path addLineToPoint: CGPointMake(45.23, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(43.72, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(43.72, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(47.2, 44.17)];
    [bezier4Path addCurveToPoint: CGPointMake(49.01, 44.48) controlPoint1: CGPointMake(47.96, 44.17) controlPoint2: CGPointMake(48.52, 44.21)];
    [bezier4Path addCurveToPoint: CGPointMake(49.78, 45.87) controlPoint1: CGPointMake(49.48, 44.76) controlPoint2: CGPointMake(49.78, 45.16)];
    [bezier4Path addCurveToPoint: CGPointMake(48.71, 47.55) controlPoint1: CGPointMake(49.78, 46.88) controlPoint2: CGPointMake(49.11, 47.39)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(50.61, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(55.64, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(55.64, 45.48)];
    [bezier4Path addLineToPoint: CGPointMake(52.11, 45.48)];
    [bezier4Path addLineToPoint: CGPointMake(52.11, 46.62)];
    [bezier4Path addLineToPoint: CGPointMake(55.55, 46.62)];
    [bezier4Path addLineToPoint: CGPointMake(55.55, 47.91)];
    [bezier4Path addLineToPoint: CGPointMake(52.11, 47.91)];
    [bezier4Path addLineToPoint: CGPointMake(52.11, 49.16)];
    [bezier4Path addLineToPoint: CGPointMake(55.64, 49.17)];
    [bezier4Path addLineToPoint: CGPointMake(55.64, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(50.61, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(50.61, 44.17)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(40.46, 47.08)];
    [bezier4Path addLineToPoint: CGPointMake(38.51, 47.08)];
    [bezier4Path addLineToPoint: CGPointMake(38.51, 45.48)];
    [bezier4Path addLineToPoint: CGPointMake(40.48, 45.48)];
    [bezier4Path addCurveToPoint: CGPointMake(41.4, 46.25) controlPoint1: CGPointMake(41.02, 45.48) controlPoint2: CGPointMake(41.4, 45.7)];
    [bezier4Path addCurveToPoint: CGPointMake(40.46, 47.08) controlPoint1: CGPointMake(41.4, 46.8) controlPoint2: CGPointMake(41.04, 47.08)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(37.02, 49.9)];
    [bezier4Path addLineToPoint: CGPointMake(34.71, 47.34)];
    [bezier4Path addLineToPoint: CGPointMake(37.02, 44.85)];
    [bezier4Path addLineToPoint: CGPointMake(37.02, 49.9)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(31.05, 49.16)];
    [bezier4Path addLineToPoint: CGPointMake(27.35, 49.16)];
    [bezier4Path addLineToPoint: CGPointMake(27.35, 47.91)];
    [bezier4Path addLineToPoint: CGPointMake(30.65, 47.91)];
    [bezier4Path addLineToPoint: CGPointMake(30.65, 46.62)];
    [bezier4Path addLineToPoint: CGPointMake(27.35, 46.62)];
    [bezier4Path addLineToPoint: CGPointMake(27.35, 45.48)];
    [bezier4Path addLineToPoint: CGPointMake(31.12, 45.48)];
    [bezier4Path addLineToPoint: CGPointMake(32.77, 47.31)];
    [bezier4Path addLineToPoint: CGPointMake(31.05, 49.16)];
    [bezier4Path closePath];
    [bezier4Path moveToPoint: CGPointMake(43.01, 46.25)];
    [bezier4Path addCurveToPoint: CGPointMake(40.39, 48.36) controlPoint1: CGPointMake(43.01, 48) controlPoint2: CGPointMake(41.71, 48.36)];
    [bezier4Path addLineToPoint: CGPointMake(38.51, 48.36)];
    [bezier4Path addLineToPoint: CGPointMake(38.51, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(35.59, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(33.74, 48.39)];
    [bezier4Path addLineToPoint: CGPointMake(31.81, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(25.85, 50.47)];
    [bezier4Path addLineToPoint: CGPointMake(25.85, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(31.91, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(33.76, 46.24)];
    [bezier4Path addLineToPoint: CGPointMake(35.67, 44.17)];
    [bezier4Path addLineToPoint: CGPointMake(40.48, 44.17)];
    [bezier4Path addCurveToPoint: CGPointMake(43.01, 46.25) controlPoint1: CGPointMake(41.67, 44.17) controlPoint2: CGPointMake(43.01, 44.51)];
    [bezier4Path closePath];
    [fillColor2 setFill];
    [bezier4Path fill];
    
    
    //// Bezier 5 Drawing
    UIBezierPath* bezier5Path = [UIBezierPath bezierPath];
    [bezier5Path moveToPoint: CGPointMake(12.29, 65.13)];
    [bezier5Path addCurveToPoint: CGPointMake(10.13, 67.3) controlPoint1: CGPointMake(12.29, 66.33) controlPoint2: CGPointMake(11.38, 67.3)];
    [bezier5Path addCurveToPoint: CGPointMake(7.97, 65.13) controlPoint1: CGPointMake(8.88, 67.3) controlPoint2: CGPointMake(7.97, 66.33)];
    [bezier5Path addCurveToPoint: CGPointMake(10.13, 62.97) controlPoint1: CGPointMake(7.97, 63.94) controlPoint2: CGPointMake(8.88, 62.97)];
    [bezier5Path addCurveToPoint: CGPointMake(12.29, 65.13) controlPoint1: CGPointMake(11.38, 62.97) controlPoint2: CGPointMake(12.29, 63.94)];
    [bezier5Path closePath];
    [bezier5Path moveToPoint: CGPointMake(12.68, 65.13)];
    [bezier5Path addCurveToPoint: CGPointMake(10.13, 62.6) controlPoint1: CGPointMake(12.68, 63.73) controlPoint2: CGPointMake(11.54, 62.6)];
    [bezier5Path addCurveToPoint: CGPointMake(7.58, 65.13) controlPoint1: CGPointMake(8.72, 62.6) controlPoint2: CGPointMake(7.58, 63.73)];
    [bezier5Path addCurveToPoint: CGPointMake(10.13, 67.67) controlPoint1: CGPointMake(7.58, 66.54) controlPoint2: CGPointMake(8.72, 67.67)];
    [bezier5Path addCurveToPoint: CGPointMake(12.68, 65.13) controlPoint1: CGPointMake(11.54, 67.67) controlPoint2: CGPointMake(12.68, 66.54)];
    [bezier5Path closePath];
    [bezier5Path moveToPoint: CGPointMake(10.73, 64.61)];
    [bezier5Path addCurveToPoint: CGPointMake(10.37, 64.29) controlPoint1: CGPointMake(10.73, 64.31) controlPoint2: CGPointMake(10.52, 64.29)];
    [bezier5Path addLineToPoint: CGPointMake(9.66, 64.29)];
    [bezier5Path addLineToPoint: CGPointMake(9.66, 64.95)];
    [bezier5Path addLineToPoint: CGPointMake(10.32, 64.95)];
    [bezier5Path addCurveToPoint: CGPointMake(10.73, 64.61) controlPoint1: CGPointMake(10.54, 64.95) controlPoint2: CGPointMake(10.73, 64.9)];
    [bezier5Path closePath];
    [bezier5Path moveToPoint: CGPointMake(11.24, 66.29)];
    [bezier5Path addLineToPoint: CGPointMake(10.77, 66.29)];
    [bezier5Path addCurveToPoint: CGPointMake(10.7, 65.67) controlPoint1: CGPointMake(10.71, 66.11) controlPoint2: CGPointMake(10.7, 65.76)];
    [bezier5Path addCurveToPoint: CGPointMake(10.35, 65.32) controlPoint1: CGPointMake(10.7, 65.5) controlPoint2: CGPointMake(10.67, 65.32)];
    [bezier5Path addLineToPoint: CGPointMake(9.66, 65.32)];
    [bezier5Path addLineToPoint: CGPointMake(9.66, 66.29)];
    [bezier5Path addLineToPoint: CGPointMake(9.25, 66.29)];
    [bezier5Path addLineToPoint: CGPointMake(9.25, 63.92)];
    [bezier5Path addLineToPoint: CGPointMake(10.35, 63.92)];
    [bezier5Path addCurveToPoint: CGPointMake(11.15, 64.58) controlPoint1: CGPointMake(10.73, 63.92) controlPoint2: CGPointMake(11.15, 64.05)];
    [bezier5Path addCurveToPoint: CGPointMake(10.89, 65.12) controlPoint1: CGPointMake(11.15, 64.88) controlPoint2: CGPointMake(11.02, 65.02)];
    [bezier5Path addCurveToPoint: CGPointMake(11.11, 65.55) controlPoint1: CGPointMake(11, 65.18) controlPoint2: CGPointMake(11.09, 65.28)];
    [bezier5Path addLineToPoint: CGPointMake(11.12, 65.96)];
    [bezier5Path addCurveToPoint: CGPointMake(11.24, 66.16) controlPoint1: CGPointMake(11.13, 66.08) controlPoint2: CGPointMake(11.14, 66.1)];
    [bezier5Path addLineToPoint: CGPointMake(11.24, 66.29)];
    [bezier5Path closePath];
    [fillColor3 setFill];
    [bezier5Path fill];
    
    
    //// Cleanup
    CGGradientRelease(gradient);
    CGColorSpaceRelease(colorSpace);
}

@end
